Runtime

## org.eclipse.gmf.runtime.diagram.core.providers
Class AbstractViewProvider.ClassToCreationMethodMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap
              org.eclipse.gmf.runtime.diagram.core.providers.AbstractViewProvider.ClassToCreationMethodMap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

Enclosing class:
  AbstractViewProvider

    protected static class AbstractViewProvider.ClassToCreationMethodMap

extends java.util.HashMap

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`protected` `AbstractViewProvider.ClassToCreationMethodMap()`

Method Summary
`void` `addMethod(java.lang.Class clazz, java.lang.reflect.Method method)`
`java.lang.reflect.Method` `getCreationMethod(java.lang.Class clazz)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### AbstractViewProvider.ClassToCreationMethodMap

    protected AbstractViewProvider.ClassToCreationMethodMap()

Method Detail

### addMethod

    public void addMethod(java.lang.Class clazz,
                          java.lang.reflect.Method method)

### getCreationMethod

    public java.lang.reflect.Method getCreationMethod(java.lang.Class clazz)

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.